package com.ekexiu.console.system.pojo;

import com.ekexiu.console.system.po.Resource;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

/**
 * Created by TT on 2017/7/27.
 */
@ExtendView(fromSentence = "resource r LEFT JOIN professor p on p.id = r.professor_id ", tableAlias = "r")
public class ResourceInfo extends Resource{
    private String professorName;

    @CalcColumn(handlerClass = StringHandler.class, column = "p.name")
    public String getProfessorName() {
        return professorName;
    }

    public void setProfessorName(String professorName) {
        this.professorName = professorName;
    }
}
